# PulpcoreClient::TaskGroupRead

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**description** | **String** | A description of the task group. | 
**all_tasks_dispatched** | **Boolean** | Whether all tasks have been spawned for this task group. | 
**waiting** | **Integer** | Number of tasks in the &#39;waiting&#39; state | [optional] [readonly] 
**skipped** | **Integer** | Number of tasks in the &#39;skipped&#39; state | [optional] [readonly] 
**running** | **Integer** | Number of tasks in the &#39;running&#39; state | [optional] [readonly] 
**completed** | **Integer** | Number of tasks in the &#39;completed&#39; state | [optional] [readonly] 
**canceled** | **Integer** | Number of tasks in the &#39;canceled&#39; state | [optional] [readonly] 
**failed** | **Integer** | Number of tasks in the &#39;failed&#39; state | [optional] [readonly] 

## Code Sample

```ruby
require 'PulpcoreClient'

instance = PulpcoreClient::TaskGroupRead.new(pulp_href: null,
                                 description: null,
                                 all_tasks_dispatched: null,
                                 waiting: null,
                                 skipped: null,
                                 running: null,
                                 completed: null,
                                 canceled: null,
                                 failed: null)
```


