# PulpcoreClient::UploadChunk

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**file** | **String** | A chunk of the uploaded file. | [optional] [readonly] 
**sha256** | **String** | The SHA-256 checksum of the chunk if available. | [optional] 
**offset** | **Integer** |  | [optional] [readonly] 
**size** | **Integer** |  | [optional] [readonly] 

## Code Sample

```ruby
require 'PulpcoreClient'

instance = PulpcoreClient::UploadChunk.new(file: null,
                                 sha256: null,
                                 offset: null,
                                 size: null)
```


