# PulpcoreClient::PulpExport

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**task** | **String** | A URI of the task that ran the Export. | [optional] 
**exported_resources** | **Array&lt;Object&gt;** | Resources that were exported. | [optional] [readonly] 
**params** | [**Object**](.md) | Any additional parameters that were used to create the export. | [optional] [readonly] 
**full** | **Boolean** | Do a Full (true) or Incremental (false) export. | [optional] [default to true]
**dry_run** | **Boolean** | Generate report on what would be exported and disk-space required. | [optional] [default to false]
**versions** | **Array&lt;String&gt;** | List of explicit repo-version hrefs to export | [optional] 
**chunk_size** | **String** | Chunk export-tarfile into pieces of chunk_size bytes.Recognizes units of B/KB/MB/GB/TB. | [optional] 
**output_file_info** | [**Object**](.md) | Dictionary of filename: sha256hash entries for export-output-file(s) | [optional] [readonly] 

## Code Sample

```ruby
require 'PulpcoreClient'

instance = PulpcoreClient::PulpExport.new(pulp_href: null,
                                 pulp_created: null,
                                 task: null,
                                 exported_resources: null,
                                 params: null,
                                 full: null,
                                 dry_run: null,
                                 versions: null,
                                 chunk_size: null,
                                 output_file_info: null)
```


